%global _hardened_build 1

%global major 0
%global minor 044

Name:               peervpn
Version:            %{major}.%{minor}
Release:            1%{dist}
Summary:            A VPN software using full mesh network topology
Group:              Applications/Internet
License:            GPLv3+
URL:                http://www.peervpn.net/
Source0:            http://www.peervpn.net/files/peervpn-%{major}-%{minor}.tar.gz
Source1:            centos.init
Source2:            README.Fedora
%define _initdir     /etc/init.d

BuildRequires:      openssl-devel
# for /usr/sbin/ip
Requires:           iproute
# for /usr/sbin/ifconfig
Requires:           net-tools

%description
PeerVPN is software that builds virtual Ethernet networks between multiple
computers. It uses full mesh network topology and can automatically build
tunnels through firewalls and NATs. It supports shared key encryption and
authentication.

%prep
%setup -q -n peervpn-%{major}-%{minor}

%build
make %{?_smp_mflags} \
    CFLAGS="%{?optflags} `pkg-config --cflags libcrypto`" \
    LDFLAGS="%{?__global_ldflags}" \
    LIBS="`pkg-config --libs libcrypto`"

%install
rm -rf %{buildroot}
install -D -m 0755 peervpn %{buildroot}%{_sbindir}/%{name}
install -d -m 0700 %{buildroot}%{_sysconfdir}/%{name}
install -D -m 0755 %{SOURCE1} %{buildroot}/%{_initddir}/%{name}
install -D -m 0600 peervpn.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
cp %{SOURCE2} .

%preun
%stop_on_removal

%postun
%insserv_cleanup
%restart_on_update

%files
%defattr(-,root,root)
%doc license.txt README.Fedora peervpn.conf

%{_sbindir}/%{name}
%{_initddir}/%{name}
%attr(700,root,root) %config %dir %{_sysconfdir}/%{name}
%attr(600,root,root) %config %{_sysconfdir}/%{name}/%{name}.conf

%changelog
* Mon Mar 12 2018 Fabian Arrotin <fabian.arrotin@arrfab.net> - 0.044-1
- Updated to 0.044

* Mon Feb 11 2013 Jan Cholasta <jcholast@redhat.com> - 0.032-1
- Updated to 0.032.

* Mon Dec 10 2012 Jan Cholasta <jcholast@redhat.com> - 0.031-1
- Updated to 0.031.

* Wed Nov 14 2012 Jan Cholasta <jcholast@redhat.com> - 0.029-1
- Updated to 0.029.

* Wed Nov 7 2012 Jan Cholasta <jcholast@redhat.com> - 0.028-1
- Initial package.
